Debian Bug report logs - #679669
underscore: build-dependency on uglifyjs not satisfiable in wheezy

version graph

Package: src:underscore; Maintainer for src:underscore is Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>;

Reported by: Julien Cristau <jcristau@debian.org>

Date: Sat, 30 Jun 2012 16:27:01 UTC

Severity: serious

Tags: patch, wheezy

Found in version underscore/1.1.6-1

Fixed in version underscore/1.1.6-1+deb7u1

Done: Ansgar Burchardt <ansgar@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#679669; Package src:underscore. (Sat, 30 Jun 2012 16:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Sat, 30 Jun 2012 16:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: underscore: build-dependency on uglifyjs not satisfiable in wheezy
Date: Sat, 30 Jun 2012 18:24:31 +0200
[Message part 1 (text/plain, inline)]
Source: underscore
Version: 1.1.6-1
Severity: serious

underscore in wheezy build-depends on uglifyjs, which is missing there.
This needs to be fixed before release.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#679669; Package src:underscore. (Thu, 26 Jul 2012 18:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Thu, 26 Jul 2012 18:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 679669@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 679669@bugs.debian.org
Subject: Re: Bug#679669: underscore: build-dependency on uglifyjs not satisfiable in wheezy
Date: Thu, 26 Jul 2012 20:01:05 +0200
[Message part 1 (text/plain, inline)]
Control: tag 679669 + patch

On Sat, 30 Jun 2012 18:24:31 +0200, Julien Cristau wrote:

> underscore in wheezy build-depends on uglifyjs, which is missing there.
> This needs to be fixed before release.

Hi Jonas,

how about using perl (libjavascript-minifier-perl) to minify the
JavaScript?
Patch attached.


Cheers,
gregor

-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: U2: Kite
[679669.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to 679669-submit@bugs.debian.org. (Thu, 26 Jul 2012 18:03:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#679669; Package src:underscore. (Thu, 26 Jul 2012 19:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to 679669@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Thu, 26 Jul 2012 19:00:05 GMT) Full text and rfc822 format available.

Message #17 received at 679669@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: gregor herrmann <gregoa@debian.org>, 679669@bugs.debian.org
Subject: Re: [Pkg-javascript-devel] Bug#679669: underscore: build-dependency on uglifyjs not satisfiable in wheezy
Date: Thu, 26 Jul 2012 20:58:17 +0200
[Message part 1 (text/plain, inline)]
On 12-07-26 at 08:01pm, gregor herrmann wrote:
> Control: tag 679669 + patch
> 
> On Sat, 30 Jun 2012 18:24:31 +0200, Julien Cristau wrote:
> 
> > underscore in wheezy build-depends on uglifyjs, which is missing 
> > there. This needs to be fixed before release.
> 
> Hi Jonas,
> 
> how about using perl (libjavascript-minifier-perl) to minify the
> JavaScript?

I favor no minification over switching to different minifier.  See my 
(attempt at) explanation why at bug#679665.


 - Jonas

-- 
 * Jonas Smedegaard - idealist & Internet-arkitekt
 * Tlf.: +45 40843136  Website: http://dr.jones.dk/

 [x] quote me freely  [ ] ask before reusing  [ ] keep private
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#679669; Package src:underscore. (Thu, 26 Jul 2012 19:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Thu, 26 Jul 2012 19:18:03 GMT) Full text and rfc822 format available.

Message #22 received at 679669@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 679669@bugs.debian.org
Subject: Re: [Pkg-javascript-devel] Bug#679669: underscore: build-dependency on uglifyjs not satisfiable in wheezy
Date: Thu, 26 Jul 2012 21:15:29 +0200
[Message part 1 (text/plain, inline)]
On Thu, 26 Jul 2012 20:58:17 +0200, Jonas Smedegaard wrote:

> > how about using perl (libjavascript-minifier-perl) to minify the
> > JavaScript?
> I favor no minification over switching to different minifier.  See my 
> (attempt at) explanation why at bug#679665.

Fair enough, and thanks for the pointer!


Cheers,
gregor
 
-- 
 .''`.  Homepage: http://info.comodo.priv.at/ - OpenPGP key 0xBB3A68018649AA06
 : :' : Debian GNU/Linux user, admin, and developer  -  http://www.debian.org/
 `. `'  Member of VIBE!AT & SPI, fellow of the Free Software Foundation Europe
   `-   NP: U2: Silver And Gold
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) patch. Request was from gregor herrmann <gregoa@debian.org> to control@bugs.debian.org. (Mon, 30 Jul 2012 16:36:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#679669; Package src:underscore. (Sat, 13 Oct 2012 15:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stuart Prescott <stuart@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Sat, 13 Oct 2012 15:48:03 GMT) Full text and rfc822 format available.

Message #29 received at 679669@bugs.debian.org (full text, mbox):

From: Stuart Prescott <stuart@debian.org>
To: 679669@bugs.debian.org
Subject: Don't minify javascript
Date: Sat, 13 Oct 2012 16:28:29 +0100
[Message part 1 (text/plain, inline)]
Control: tags -1 +patch

Hi!

Since there has been no progress on this for the past couple of months, I 
assume a patch like the following is required.

cheers
Stuart

-- 
Stuart Prescott    http://www.nanonanonano.net/   stuart@nanonanonano.net
Debian Developer   http://www.debian.org/         stuart@debian.org
GPG fingerprint    BE65 FD1E F4EA 08F3 23D4 3C6D 9FE8 B8CD 71C5 D1A8
GPG fingerprint    90E2 D2C1 AD14 6A1B 7EBB  891D BBC1 7EBB 1396 F2F7
[no-minifier.patch (text/x-patch, attachment)]

Added tag(s) patch. Request was from Stuart Prescott <stuart@debian.org> to 679669-submit@bugs.debian.org. (Sat, 13 Oct 2012 15:48:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#679669; Package src:underscore. (Sun, 14 Oct 2012 12:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Sun, 14 Oct 2012 12:12:03 GMT) Full text and rfc822 format available.

Message #36 received at 679669@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: Stuart Prescott <stuart@debian.org>
Cc: debian-backports@lists.debian.org, js@debian.org, 679669@bugs.debian.org
Subject: Re: Removal of underscore package from squeeze-backports?
Date: Sun, 14 Oct 2012 14:09:40 +0200
Stuart Prescott <stuart@debian.org> writes:
>> I modified the package in backports to not compress the *.js files:
>
> Indeed! Excellent. Is that diff better for the RC bug #679669 better than the 
> one that is now there? (patches that fix rc bugs coming from squeeze-backports 
> is a new and interesting direction)

Your patch for #679669 simply drops the *.min.js, however other packages
might rely on these files to be present.  Replacing them with a symlink
on the non-minified version like in the backports package seems safer to
me.

Ansgar



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#679669; Package src:underscore. (Sun, 14 Oct 2012 12:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stuart Prescott <stuart@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Sun, 14 Oct 2012 12:15:03 GMT) Full text and rfc822 format available.

Message #41 received at 679669@bugs.debian.org (full text, mbox):

From: Stuart Prescott <stuart@debian.org>
To: Ansgar Burchardt <ansgar@debian.org>
Cc: 679669@bugs.debian.org
Subject: Re: Removal of underscore package from squeeze-backports?
Date: Sun, 14 Oct 2012 13:11:34 +0100
> Your patch for #679669 simply drops the *.min.js, however other packages
> might rely on these files to be present.  Replacing them with a symlink
> on the non-minified version like in the backports package seems safer to
> me.
> 
> Ansgar

agreed

-- 
Stuart Prescott    http://www.nanonanonano.net/   stuart@nanonanonano.net
Debian Developer   http://www.debian.org/         stuart@debian.org
GPG fingerprint    BE65 FD1E F4EA 08F3 23D4 3C6D 9FE8 B8CD 71C5 D1A8
GPG fingerprint    90E2 D2C1 AD14 6A1B 7EBB  891D BBC1 7EBB 1396 F2F7



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#679669; Package src:underscore. (Mon, 15 Oct 2012 19:03:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Mon, 15 Oct 2012 19:03:02 GMT) Full text and rfc822 format available.

Message #46 received at 679669@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: 679669@bugs.debian.org
Cc: debian-release@lists.debian.org
Subject: tpu upload for #679669 (underscore: build-depends on uglifyjs)
Date: Mon, 15 Oct 2012 20:59:24 +0200
[Message part 1 (text/plain, inline)]
Julien Cristau <jcristau@debian.org> writes:
> On Sat, Oct 13, 2012 at 20:56:00 +0200, Ansgar Burchardt wrote:
>> Stuart Prescott <stuart@debian.org> writes:
>> > Looking at the underscore package in squeeze-backports, it is not possible to 
>> > build it from source using packages in squeeze+squeeze-backports. In 
>> > particular, the "uglifyjs" package (provided by node-uglify in sid) is not in 
>> > squeeze/squeeze-backports.
>> 
>> I modified the package in backports to not compress the *.js files:
>> 
> Any chance you could do that for wheezy too?

Sure.  I've attached the debdiff for an upload to wheezy (there's a
newer version in unstable).  The changes are the same as in the
backport.

Ansgar
[underscore.debdiff (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#679669; Package src:underscore. (Mon, 15 Oct 2012 19:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Mon, 15 Oct 2012 19:09:03 GMT) Full text and rfc822 format available.

Message #51 received at 679669@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Ansgar Burchardt <ansgar@debian.org>
Cc: 679669@bugs.debian.org, debian-release@lists.debian.org
Subject: Re: tpu upload for #679669 (underscore: build-depends on uglifyjs)
Date: Mon, 15 Oct 2012 21:04:53 +0200
[Message part 1 (text/plain, inline)]
On Mon, Oct 15, 2012 at 20:59:24 +0200, Ansgar Burchardt wrote:

> Sure.  I've attached the debdiff for an upload to wheezy (there's a
> newer version in unstable).  The changes are the same as in the
> backport.
> 
Ack, please go ahead.

Thanks,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>:
Bug#679669; Package src:underscore. (Mon, 15 Oct 2012 19:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ansgar Burchardt <ansgar@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>. (Mon, 15 Oct 2012 19:15:05 GMT) Full text and rfc822 format available.

Message #56 received at 679669@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: debian-release@lists.debian.org
Cc: 679669@bugs.debian.org
Subject: Re: tpu upload for #679669 (underscore: build-depends on uglifyjs)
Date: Mon, 15 Oct 2012 21:14:24 +0200
Julien Cristau <jcristau@debian.org> writes:
> On Mon, Oct 15, 2012 at 20:59:24 +0200, Ansgar Burchardt wrote:
>> Sure.  I've attached the debdiff for an upload to wheezy (there's a
>> newer version in unstable).  The changes are the same as in the
>> backport.
>> 
> Ack, please go ahead.

Uploaded (without using DELAYED/* as I don't think that matters much for
tpu).

Ansgar



Reply sent to Ansgar Burchardt <ansgar@debian.org>:
You have taken responsibility. (Mon, 15 Oct 2012 19:21:07 GMT) Full text and rfc822 format available.

Notification sent to Julien Cristau <jcristau@debian.org>:
Bug acknowledged by developer. (Mon, 15 Oct 2012 19:21:07 GMT) Full text and rfc822 format available.

Message #61 received at 679669-close@bugs.debian.org (full text, mbox):

From: Ansgar Burchardt <ansgar@debian.org>
To: 679669-close@bugs.debian.org
Subject: Bug#679669: fixed in underscore 1.1.6-1+deb7u1
Date: Mon, 15 Oct 2012 19:17:57 +0000
Source: underscore
Source-Version: 1.1.6-1+deb7u1

We believe that the bug you reported is fixed in the latest version of
underscore, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 679669@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ansgar Burchardt <ansgar@debian.org> (supplier of updated underscore package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 15 Oct 2012 20:46:34 +0200
Source: underscore
Binary: libjs-underscore
Architecture: all source
Version: 1.1.6-1+deb7u1
Distribution: wheezy
Urgency: low
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Changed-By: Ansgar Burchardt <ansgar@debian.org>
Closes: 679669
Description: 
 libjs-underscore - JavaScript's functional programming helper library
Changes: 
 underscore (1.1.6-1+deb7u1) wheezy; urgency=low
 .
   * Include uncompressed version of *.js to avoid a build-dependency on
     uglifyjs. (Closes: #679669)
Checksums-Sha1: 
 aedd8fed1d76fb40ff4abb1bc97bc34a9fe21345 1996 underscore_1.1.6-1+deb7u1.dsc
 d1454dc7ad55f1456f140ccedbf0d9ad83480b88 4371 underscore_1.1.6-1+deb7u1.debian.tar.gz
 04c7160635b35a0bb7cad9b62bd2521d3b346911 30832 libjs-underscore_1.1.6-1+deb7u1_all.deb
Checksums-Sha256: 
 237633fa4b42839d32cea0b3c543e159104fb4064532ac6f909b9a0e0662e24b 1996 underscore_1.1.6-1+deb7u1.dsc
 e5c3ef98a556569aabd0903ce293015a129b0c4e472852b802ed3ac70f6fc9aa 4371 underscore_1.1.6-1+deb7u1.debian.tar.gz
 5fb574061083548eaff3e67bbec5750fdfb74486d4a4084592aba29ce2fdc8a4 30832 libjs-underscore_1.1.6-1+deb7u1_all.deb
Files: 
 5e856b96c104b4bff33df65f9bdef224 1996 web optional underscore_1.1.6-1+deb7u1.dsc
 0291f19dbddd0d1436269ff412fec845 4371 web optional underscore_1.1.6-1+deb7u1.debian.tar.gz
 22bbdc900c744327ec5f18d02cf94e54 30832 web optional libjs-underscore_1.1.6-1+deb7u1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQfF9PAAoJEIATJTTdNH3IOJwP/3uLs0ljk7n6AIqN0Zygv6vP
0/nphCDwnbUwPzPj873aeaSxkrVmZiTjH1TA7d9kaM8Gnhz3D4VUpC0A19FB35EO
bnIy3Z0DxZpUUXupWn8eAZ8C5cjC+Im/m0Aodn4YlKRX0H8j4Ouk3KFbglohubuU
GK9DHkQdPdeNrtoqvzYOatFnbQsEisSIJ+YlaOl/XIc5b2y302eWn5twR7MgBCU1
VlK7HOkUpEXq7WVh3t0PaI3XmzfgfyjFV3EyFEpH9s81v5K7TgBusvlaqZMHs4We
3FKzLtJw3R+Om6gbYoVebpeRudkWoK+NGaIEm2IEeyj0EYWywtm7j3rhT1WfWNDF
AUGae5wRB6Y4q9ovhW3dvM0Nc/4UW9oKeo1Oc1GInhaQLClfgGeTd9SnH1LRtpgI
goNF0FGpUZXBTwf04S2zP9ahN28W5xyQvvYJj3+ZPzr8CEOHucQ/Ixwi57AwT5No
kiKHfN3+RkrbUXJxuOfcEA+1Cs7hrdNw+sRmUYrbGeJN+S5xIc2EoYxJ1LLrj/GI
6OfR77Q8mmq1rHfLy1Si4k6OKWkwVqS1IGCrRD0c3+LZjqPjPokjlmkxa7PfgVxK
svQps3oD9TpDyiKyXm4b2/wfzMkMkmTdy96Ip6wAYxW16lwi5oXbNFPHKQOjcwtl
Nlq9xD4zBT89fIBw/wqv
=o8+t
-----END PGP SIGNATURE-----




Added tag(s) wheezy. Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Tue, 16 Oct 2012 07:18:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Nov 2012 07:28:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 19:13:07 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.